import { csv } from 'd3-fetch';
import { Histogram } from './Histogram';
import { data } from './data';

const usersWithVizzes = 7498;
const totalUsers = 9872;
const maxVizCount = 10;

const mostUsers = data
  .filter((d) => d.max <= maxVizCount)
  .map((d) => d.count)
  .reduce((a, b) => a + b, 0);

const percentage = Math.round(mostUsers / totalUsers * 100)
console.log(`${percentage}% of users have ${maxVizCount} vizzes or fewer.`);

const main = async () => {
  const plot = Histogram({
    data,
    xMinAccessor: (d) => d.min,
    xMaxAccessor: (d) => d.max,
    xAxisLabelOffset: 45,
    xAxisLabel: 'Number of Vizzes',
    yAccessor: (d) => d.count,
    yAxisLabelOffset: 80,
    yAxisLabel: 'Number of Users',
    margin: {
      top: 20,
      right: 30,
      bottom: 70,
      left: 110,
    },
    width: window.innerWidth,
    height: window.innerHeight,
  });
  document.body.appendChild(plot);
};
main();
